import { getStorage } from './private/webstorage';
import type { IWebStorage, IWebStorageReturnType } from './private/webstorage';

const useLocalStorage = (): IWebStorage => {
  return getStorage('local');
};

const useSessionStorage = (): IWebStorage => {
  return getStorage('session');
};

export type { IWebStorage, IWebStorageReturnType };
export { useLocalStorage, useSessionStorage };
